My test on the 0.5.4 (from the depot).

You have tested TA3D, share your experience /
Vous avez testé TA3D, venez partager votre expérience
Post Reply
D.Durand
Posts: 87
Joined: Sun Feb 07, 2010 11:21 am

My test on the 0.5.4 (from the depot).

Post by D.Durand » Thu Feb 11, 2010 6:55 pm

Hi,

Some time since my last try of TA3D. I tried the version in your ubuntu depot.




- 88 to 104 % (on a quad 3.2 ghz) before even entering the Battleroom... Do you use 3d for theses static pages or what ?

- Look when you ask for quit, you can't. Like a freeze.

- Choosing sides and colors by a button was cool 11 years ago. Now, can we have a menu, please ?

- For a good and usable "free view" camera, i like to direct you to the one used by Warzone 2100. That's the better i have even seen.

- Pathfinding is nearly only a straigth line. Units are blocked by all barriers (even the sea) bigger than a factory.

- The AI need to use his ressources more efficiently. Try to build too many things (first, too many factories).

- Units look like they have an "interception area", but AI don't react itself to attacks. Even Com don't defend itself.

- AI wait to have some number of units before attacking. It's good, but it don't take account of the defenses it see.

- AI don't really tech.


I will put some advices in the other sub-board.

User avatar
zuzuf
Administrateur - Site Admin
Posts: 3281
Joined: Mon Oct 30, 2006 8:49 pm
Location: Toulouse, France
Contact:

Re: My test on the 0.5.4 (from the depot).

Post by zuzuf » Thu Feb 11, 2010 9:52 pm

It seems you tried the last stable branch (0.5.x) which hasn't been rebuilt for recent ubuntus and uses Allegro which was causing lots of problems.

Current development version has a much better pathfinder (even though it still needs some tuning) and AI (the one written in C) is more challenging (it cares about its resources, can quickly build an army and attack early). Also it uses SDL instead of Allegro now and menus should use much less CPU than before (it was refreshing a bit too fast). It's not stable yet but it's in beta stage (not that far from stable). There is an ubuntu package in testing repository which should not be too old (it corresponds more or less to last win32 beta). We're fixing as many bugs as we can before making it the stable branch so maybe you could help us.

I'll see that Warzone 2100 camera when I have time (not now, I have exams and reports to finish :( ).

Regarding the colors and sides, well we were so busy cloning OTA's design we didn't even think about it :oops:

Thanks for reporting :D
=>;-D Penguin Powered

D.Durand
Posts: 87
Joined: Sun Feb 07, 2010 11:21 am

Re: My test on the 0.5.4 (from the depot).

Post by D.Durand » Fri Feb 12, 2010 12:32 am

Oh, yes, true : Better testing the test version, silly me :oops:

I try that today and post a report.

D.Durand
Posts: 87
Joined: Sun Feb 07, 2010 11:21 am

Re: My test on the 0.5.4 (from the depot).

Post by D.Durand » Fri Feb 12, 2010 3:04 pm

Les dépots ne semblent plus accessibles.

D'ailleurs, quand je tape "http://www.ta3d.org/apt/" dans un navigateur j'ai un "You don't have permission to access /apt/ on this server."

User avatar
zuzuf
Administrateur - Site Admin
Posts: 3281
Joined: Mon Oct 30, 2006 8:49 pm
Location: Toulouse, France
Contact:

Re: My test on the 0.5.4 (from the depot).

Post by zuzuf » Fri Feb 12, 2010 10:10 pm

ça fait tellement longtemps que j'ai pas testé le dépôt, j'ai honte :oops: , je vais corriger ça.

PS: mouais, je viens de vérifier la config apache, en fait le dépôt fonctionne (les fichiers sont accessibles normalement) c'est juste les dossiers qui ne sont pas affichables avec cette URL, pour les voir utilise plutôt http://downloads.ta3d.org/binaries/linux/apt/ ou encore ftp://downloads.ta3d.org/binaries/linux/apt/ (http://www.ta3d.org/apt n'est qu'un lien, il ne contient plus directement les données comme jadis :roll: ). Faut que je mette un peu à jour le site :mrgreen:
=>;-D Penguin Powered

D.Durand
Posts: 87
Joined: Sun Feb 07, 2010 11:21 am

Re: My test on the 0.5.4 (from the depot).

Post by D.Durand » Thu Feb 25, 2010 3:00 pm

Okay. I can't have more than the last stable version by using apt-get / synaptic.

When i go directly by browser and i try to install the last "pool" version", i can't install it because it's a 32-bit version (and i have 64).

User avatar
zuzuf
Administrateur - Site Admin
Posts: 3281
Joined: Mon Oct 30, 2006 8:49 pm
Location: Toulouse, France
Contact:

Re: My test on the 0.5.4 (from the depot).

Post by zuzuf » Thu Feb 25, 2010 4:31 pm

oops, I didn't build the last 0.6 revisions for amd64, I'll make a package soon.
=>;-D Penguin Powered

Post Reply

Who is online

Users browsing this forum: No registered users and 0 guests